Actualizar una plantilla de exportación
curl --request PATCH \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"module": "core",
"name": "<string>",
"definition": {
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>",
"filter": {
"items": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"logic": "and"
},
"sort": {
"field": "<string>",
"direction": "asc"
}
}
}
],
"format": "csv",
"delimiter": ",",
"dateFormat": "sql",
"compression": "none",
"listSeparator": "|",
"systemFields": false
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"status": 123,
"code": "core.template_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Plantillas de exportación
Actualizar una plantilla de exportación
Cambia el nombre de una plantilla de exportación guardada, la configuración de exportación que guarda, o ambos.
PATCH
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
exports
/
templates
/
{templateId}
Actualizar una plantilla de exportación
curl --request PATCH \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/exports/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"module": "core",
"name": "<string>",
"definition": {
"entities": [
{
"entity": "<string>",
"columns": [
"<string>"
],
"question": {
"search": "<string>",
"filter": {
"items": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"logic": "and"
},
"sort": {
"field": "<string>",
"direction": "asc"
}
}
}
],
"format": "csv",
"delimiter": ",",
"dateFormat": "sql",
"compression": "none",
"listSeparator": "|",
"systemFields": false
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"status": 123,
"code": "core.template_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
Cuerpo
application/json
¿Esta página le ayudó?